Skip to main content

Update order status

Mark an order as confirmed and flag it as exported to your ERP or fulfillment system.

Endpoint

PATCH /v2/orders/id/{orderId}

Request

{
"status": "CONFIRMED",
"exportStatus": "exported",
"exportedAt": "2026-03-24T12:00:00.000Z"
}

Response

{
"id": 20131,
"status": "CONFIRMED",
"type": "dropshipment",
"email": "warehouse@example.com",
"currency": "EUR",
"language": "EN",
"date": "2026-03-24T11:04:56.730Z",
"createdAt": "2026-03-24T11:04:56.730Z",
"lastModifiedAt": "2026-03-24T11:04:56.942Z",
"statusDate": "2026-03-24T11:04:56.938Z",
"exportStatus": "exported",
"exportedAt": "2026-03-24T12:00:00.000Z",
"paymentData": {
"method": "invoice",
"status": "UNKNOWN",
"gross": 59.99,
"net": 49.58,
"tax": 10.41,
"taxPercentage": 21
},
"total": {
"gross": 65.94,
"net": 54.50,
"tax": 11.44,
"discountType": "A",
"discountValue": 0
}
}

How it works

Use PATCH /v2/orders/id/{orderId} to update an order. Only the fields you include in the request body are changed. Status transitions are validated by Propeller, so only allowed transitions will succeed (for example, NEW to CONFIRMED). The exportStatus field accepts exported, finished or failed and is used together with exportedAt to track which orders have been synchronized to external systems like an ERP.

See also